Re: HYPERLEDGER FABRIC CERTIFICATE EXPIRED ERROR #fabric #fabric-peer #fabric-orderer #fabric-ca #fabricca


satheesh
 

On Friday, February 4, 2022, 08:16:11 PM GMT+5:30, mohana.a@... <mohana.a@...> wrote:


 
Hi, I had set up a hyperledger fabric network (v1.4.2) with few orgs a year back in a kubernetes cluster using Hyperledger Bevel. Each org has its own CA and TLSCA servers running with TLS enabled. The age of the pods are about 365 days. Peer and orderer pods are in crashloopbackoff state because the Fabric-CA certificates got expired. We tried creating a configmap for fabric-ca-server and configured the file fabric-ca-server-config.yaml with 131400h as expiring duration but it didnot work.
 
The peer pods are crashing with the following error,
 
"Cannot run peer because error when setting up MSP of type bccsp from directory /etc/hyperledger/fabric/msp: signing identity expired 24h ago"
 
 Can some one tell me how do i renew certificates or solve this issue and what are the changes to be done to the existing Channel and chaincodes. Thanks in advance.

Join fabric@lists.hyperledger.org to automatically receive all group messages.